Page 1 of 5 123 ... LastLast
Results 1 to 10 of 44

Thread: Software Updates broken

  1. #1

    Default Software Updates broken

    After some recent update, the Software Updates plasmoid (or whatever it's called -- the thing that runs runs from the task bar) no longer works. When packagekitd runs periodically, the following messages appear as two different popups in the notification section on the screen:

    Code:
     Authorization failed You have failed to provide correct authentication. Please check any passwords or account settings.
    The system logs show this:

    Code:
    systemd[1]: Starting PackageKit Daemon...
    PackageKit[21372]: daemon start
    dbus[1065]: [system] Successfully activated service 'org.freedesktop.PackageKit'
    systemd[1]: Started PackageKit Daemon.
    PackageKit[21372]: daemon quit
    packagekitd[21372]: (packagekitd:21372): GLib-CRITICAL **: Source ID 6 was not found when attempting to remove it
    I have not changed any repositories lately.

    Executing zypper repos showed this:

    Code:
    $ zypper repos
    #  | Alias                           | Name                        | Enabled | GPG Check | Refresh
    ---+---------------------------------+-----------------------------+---------+-----------+--------
     1 | Google                          | Google                      | Yes     | (r ) Yes  | Yes    
     2 | download.nvidia.com-leap        | nVidia Graphics Drivers     | Yes     | (r ) Yes  | Yes    
     3 | download.opensuse.org-non-oss   | Main Repository (NON-OSS)   | Yes     | (r ) Yes  | Yes    
     4 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Yes     | (r ) Yes  | Yes    
     5 | download.opensuse.org-oss       | Main Repository (OSS)       | Yes     | (r ) Yes  | Yes    
     6 | download.opensuse.org-oss_1     | Main Update Repository      | Yes     | (r ) Yes  | Yes    
     7 | ftp.gwdg.de-suse                | Packman Repository          | Yes     | (r ) Yes  | Yes    
     8 | google-chrome                   | google-chrome               | Yes     | (r ) Yes  | Yes    
     9 | linuxdownload.adobe.com-linux   | Adobe Flash Plugin          | Yes     | ( p) Yes  | Yes    
    10 | opensuse-guide.org-repo         | Libdvdcss Repository        | Yes     | (r ) Yes  | Yes    
    11 | repo-source                     | openSUSE-Leap-42.1-Source   | No      | ----      | Yes
    Thinking this had something to do with #6, I deleted it, but I still see the same problem, and it still points to source ID 6 as the problem.

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,650

    Default Re: Software Updates broken

    Best show more detail ie zypper lr -d that will so the URLs You need the update repo but need to be sure it is point to the right URL

    try to update via zypper up

    packagekit is the program that does the updates for the Update plasmoid. It is normal for it to start and stop when done or found an error

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,364
    Blog Entries
    3

    Default Re: Software Updates broken

    Have you rebooted since the last updates?

    Authentication depends on "systemd". Some updates restart "systemd", and this can break communication with user software.
    openSUSE Leap 15.1; KDE Plasma 5;

  4. #4

    Default Re: Software Updates broken

    Yep im getting the same error. I have rebooted several times since previous updates.

    http://imgur.com/5wwq1KQ

    No idea why, it just randomly started happening a week or two ago. I can update via yast and I assume zypper works as well but the desktop app is broken.

  5. #5

    Default Re: Software Updates broken

    Quote Originally Posted by nrickert View Post
    Have you rebooted since the last updates?

    Authentication depends on "systemd". Some updates restart "systemd", and this can break communication with user software.
    Many many times. This has been going on for a couple of weeks. I reboot every day.

  6. #6

    Default Re: Software Updates broken

    Quote Originally Posted by gogalthorp View Post
    Best show more detail ie zypper lr -d that will so the URLs You need the update repo but need to be sure it is point to the right URL

    try to update via zypper up

    packagekit is the program that does the updates for the Update plasmoid. It is normal for it to start and stop when done or found an error
    Code:
    zypper lr -d                                                                                                                   
    #  | Alias                           | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                  | Service
    ---+---------------------------------+-----------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------+--------
     1 | Google                          | Google                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://dl.google.com/linux/rpm/stable/x86_64                        |        
     2 | Update                          | Update Repository (Oss)     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                   |        
     3 | download.nvidia.com-leap        | nVidia Graphics Drivers     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/42.1                        |        
     4 | download.opensuse.org-non-oss   | Main Repository (NON-OSS)   | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/    |        
     5 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/               |        
     6 | download.opensuse.org-oss       | Main Repository (OSS)       | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/        |        
     7 | ftp.gwdg.de-suse                | Packman Repository          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_42.1/        |        
     8 | google-chrome                   | google-chrome               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                  |        
     9 | linuxdownload.adobe.com-linux   | Adobe Flash Plugin          | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/                         |        
    10 | opensuse-guide.org-repo         | Libdvdcss Repository        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/                   |        
    11 | repo-source                     | openSUSE-Leap-42.1-Source   | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/ |

  7. #7

    Default Re: Software Updates broken

    Quote Originally Posted by maxp779 View Post
    Yep im getting the same error. I have rebooted several times since previous updates.

    http://imgur.com/5wwq1KQ

    No idea why, it just randomly started happening a week or two ago. I can update via yast and I assume zypper works as well but the desktop app is broken.
    That's exactly what I'm seeing.

  8. #8

    Default Re: Software Updates broken

    The exact same issue is happening on my home server as well.

    Yes I use a GUI to administrate my server, crucify me later

  9. #9

    Default Re: Software Updates broken

    On 07/25/2016 08:56 PM, dilireus wrote:
    >
    > nrickert;2786497 Wrote:
    >> Have you rebooted since the last updates?
    >>
    >> Authentication depends on "systemd". Some updates restart "systemd",
    >> and this can break communication with user software.

    >
    > Many many times. This has been going on for a couple of weeks. I
    > reboot every day.
    >
    >


    I run "zypper ps" after every dup in TW and if any process is owned by
    root, I reboot, if not I simply logout/login to refresh the processes.

    --
    Ken
    linux since 1994
    S.u.S.E./openSUSE since 1996

  10. #10

    Default Re: Software Updates broken

    I'm getting the same issue. I could remove plasma5-pk-updates and use Yast to patch my system, but I hope this will be fixed soon.

Page 1 of 5 123 ... LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •